///******************************全文实证分析*****************************//
use 数据.dta,clear
xtset firmid year
//***********************变量的描述性统计分析 表1************************//
sum DVAR DI DI2  age scale  capital  waizi prod AC

//***************************基础回归分析 表2****************************//
reghdfe DVAR DI DI2 ,noabsorb
est sto m1
reghdfe DVAR DI DI2 ,absorb(year firmid) vce(cluster firmid)
est sto m2
reghdfe DVAR DI DI2 age scale  capital  waizi prod , absorb(year firmid) vce(cluster firmid)
est sto m3
estimates table m1 m2 m3 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 m3 , b(%10.4f) se 

********以下分析将核心解释变量缩小10倍
replace DI=DI/10
replace DI2=DI2/10

reghdfe DVAR DI DI2 c.DI#c.AC c.DI2#c.AC AC age scale  capital   waizi prod,absorb(year firmid) vce(cluster firmid)
est sto m4
estimates table m4 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m4 , b(%10.4f) se 

//***************************中介效应分析 表3*****************************//
reghdfe RD DI age scale  capital waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m1
reghdfe DVAR DI DI2 RD age scale  capital waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m2
reghdfe θ DI age scale  capital waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m3
reghdfe DVAR θ DI DI2 age scale  capital waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m4
estimates table m1 m2 m3 m4 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 m3 m4, b(%10.4f) se 

//****************************异质性分析 表4*****************************//
********数字产品最终用途
reghdfe DVAR DIinter DI2inter c.DIinter#c.AC c.DI2inter#c.AC AC  age scale  capital waizi prod ,absorb(year firmid) vce(cluster firmid)
est sto m1
reghdfe DVAR DIcap DI2cap c.DIcap#c.AC c.DI2cap#c.AC AC  age scale  capital waizi prod ,absorb(year firmid) vce(cluster firmid)
est sto m2
estimates table m1 m2 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 , b(%10.4f) se 

*********进口来源地异质性
reghdfe DVAR DIhigh DI2high c.DIhigh#c.AC c.DI2high#c.AC AC age scale  capital   waizi prod,absorb(year firmid) vce(cluster firmid)
est sto m1
reghdfe DVAR DIlow DI2low c.DIlow#c.AC c.DI2low#c.AC AC age scale  capital   waizi prod,absorb(year firmid) vce(cluster firmid)
est sto m2
estimates table m1 m2 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 , b(%10.4f) se 

*********数字经济异质性 
reghdfe DVAR DI DI2 c.DI#c.AC c.DI2#c.AC AC age scale  capital   waizi prod if digitaleconomy==2,absorb(year firmid) vce(cluster firmid)
est sto m1
reghdfe DVAR DI DI2 c.DI#c.AC c.DI2#c.AC AC age scale  capital   waizi prod if digitaleconomy==1,absorb(year firmid) vce(cluster firmid)
est sto m2
estimates table m1 m2 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 , b(%10.4f) se 

*********贸易类型异质性
reghdfe DVAR DI DI2 c.DI#c.AC c.DI2#c.AC AC age scale  capital  waizi prod if mylx=="加工贸易",absorb(year firmid) vce(cluster firmid)
est sto m1
reghdfe DVAR DI DI2 c.DI#c.AC c.DI2#c.AC AC age scale  capital  waizi prod if mylx=="一般贸易",absorb(year firmid) vce(cluster firmid)
est sto m2
estimates table m1 m2 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1 m2 , b(%10.4f) se 


//****************************稳健性检验 表5*****************************//
************内生性 工具变量  列（1）
ivreghdfe DVAR age scale  capital waizi prod (DI DI2  = DIJapan DI2Japan), absorb( firmid year) cluster(firmid) first
est sto m1
estimates table m1 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1, b(%10.4f) se 

***********替换解释变量 去中心化 列（3）
reghdfe DVAR c_DI c_DI2 age scale  capital   waizi prod ,absorb(year firmid) vce(cluster firmid)
est sto m1
estimates table m1 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1, b(%10.4f) se 

************替换解释变量 考虑来源国数字经济发展水平 列（4）
reghdfe DVAR DInri DI2nri  age scale  capital waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m1
estimates table m1 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1, b(%10.4f) se 

************替换被解释变量 列（5）
reghdfe dvarrough DI DI2  age scale  capital waizi prod,absorb(year firmid) vce(cluster firmid)
est sto m1
estimates table m1 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1, b(%10.4f) se 

************内生性 psm  列（2） 
use 数据稳健性检验psm,clear
reghdfe DVAR DI DI2  age scale  capital  waizi prod, absorb(year firmid) vce(cluster firmid)
est sto m1
estimates table m1 , b(%10.4f) star(0.1 0.05 0.01)
estimates table m1, b(%10.4f) se 